#ifndef _H_78EDB4745326C2A033D77B118A2969E0_CanBusData__H_
#define _H_78EDB4745326C2A033D77B118A2969E0_CanBusData__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"
#include "geometry_msgs/msg/dds_opensplice/Quaternion_.h"
#include "geometry_msgs/msg/dds_opensplice/Vector3_.h"


namespace lgsvl_msgs
{
    namespace msg
    {
        namespace dds_
        {
            namespace CanBusData_Constants
            {
                const ::DDS::Octet GEAR_NEUTRAL_ = 0;

                const ::DDS::Octet GEAR_DRIVE_ = 1;

                const ::DDS::Octet GEAR_REVERSE_ = 2;

                const ::DDS::Octet GEAR_PARKING_ = 3;

                const ::DDS::Octet GEAR_LOW_ = 4;

            }

            struct  CanBusData_
            {
                ::std_msgs::msg::dds_::Header_ header_;
                ::DDS::Float speed_mps_;
                ::DDS::Float throttle_pct_;
                ::DDS::Float brake_pct_;
                ::DDS::Float steer_pct_;
                ::DDS::Boolean parking_brake_active_;
                ::DDS::Boolean high_beams_active_;
                ::DDS::Boolean low_beams_active_;
                ::DDS::Boolean hazard_lights_active_;
                ::DDS::Boolean fog_lights_active_;
                ::DDS::Boolean left_turn_signal_active_;
                ::DDS::Boolean right_turn_signal_active_;
                ::DDS::Boolean wipers_active_;
                ::DDS::Boolean reverse_gear_active_;
                ::DDS::Octet selected_gear_;
                ::DDS::Boolean engine_active_;
                ::DDS::Float engine_rpm_;
                ::DDS::Double gps_latitude_;
                ::DDS::Double gps_longitude_;
                ::DDS::Double gps_altitude_;
                ::geometry_msgs::msg::dds_::Quaternion_ orientation_;
                ::geometry_msgs::msg::dds_::Vector3_ linear_velocities_;
            };

            typedef DDS_DCPSStruct_var<CanBusData_> CanBusData__var;
            typedef DDS_DCPSStruct_out < CanBusData_> CanBusData__out;

        }

    }

}

#endif /* _H_78EDB4745326C2A033D77B118A2969E0_CanBusData__H_ */
