#ifndef _H_1E55B60AF9DB437833E067D328A8F0C2_DetectedRadarObject__H_
#define _H_1E55B60AF9DB437833E067D328A8F0C2_DetectedRadarObject__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "geometry_msgs/msg/dds_opensplice/Vector3_.h"
#include "geometry_msgs/msg/dds_opensplice/Point_.h"


namespace lgsvl_msgs
{
    namespace msg
    {
        namespace dds_
        {
            namespace DetectedRadarObject_Constants
            {
                const ::DDS::Octet STATE_MOVING_ = 0;

                const ::DDS::Octet STATE_STATIONARY_ = 1;

            }

            struct  DetectedRadarObject_
            {
                ::DDS::Long id_;
                ::geometry_msgs::msg::dds_::Vector3_ sensor_aim_;
                ::geometry_msgs::msg::dds_::Vector3_ sensor_right_;
                ::geometry_msgs::msg::dds_::Point_ sensor_position_;
                ::geometry_msgs::msg::dds_::Vector3_ sensor_velocity_;
                ::DDS::Double sensor_angle_;
                ::geometry_msgs::msg::dds_::Point_ object_position_;
                ::geometry_msgs::msg::dds_::Vector3_ object_velocity_;
                ::geometry_msgs::msg::dds_::Point_ object_relative_position_;
                ::geometry_msgs::msg::dds_::Vector3_ object_relative_velocity_;
                ::geometry_msgs::msg::dds_::Vector3_ object_collider_size_;
                ::DDS::Octet object_state_;
                ::DDS::Boolean new_detection_;
            };

            typedef DDS_DCPSStruct_var<DetectedRadarObject_> DetectedRadarObject__var;
            typedef DetectedRadarObject_& DetectedRadarObject__out;

        }

    }

}

#endif /* _H_1E55B60AF9DB437833E067D328A8F0C2_DetectedRadarObject__H_ */
